DROP DOMAIN(7)

NAME
DROP DOMAIN - remove a user-defined domain

SYNOPSIS

DROP DOMAIN domainname [, ...]  [ CASCADE | RESTRICT ]

  INPUTS

domainname
    The name (optionally schema-qualified) of an existing domain.

CASCADE
    Automatically drop objects that depend on the domain (such as table columns).

RESTRICT
    Refuse to drop the domain if there are any dependent objects. This is the default.

  OUTPUTS

DROP DOMAIN
    The message returned if the command is successful.

ERROR: RemoveDomain: type 'domainname' does not exist
    This message occurs if the specified domain (or type) is not found.

DESCRIPTION

DROP DOMAIN will remove a user domain from the system catalogs.

Only the owner of a domain can remove it.

EXAMPLES

To remove the box domain:

DROP DOMAIN box;

COMPATIBILITY

  SQL92

SEE ALSO
CREATE DOMAIN [create_domain(7)]